Skip to main content

GET /transactions

Endpoint

GET /api/v1/transactions

Authentication

HeaderRequired
x-api-keyYes

Success response

200 OK

{
"items": [
{
"id": "cm8s6...",
"cliveTxId": "CLVTX_1739378102312_420",
"partnerId": "ECHEZONA001",
"partnerName": "Echezona Nigeria",
"clientId": "AIRPEACE001",
"clientName": "Air Peace Ltd",
"echezonaReference": "EZ12345",
"stripePaymentIntentId": "pi_3QxYFh2eZvKYlo2CxA8Nt42p",
"amount": 750,
"currency": "USD",
"status": "succeeded",
"stripeFeePercent": 2.9,
"partnerFeePercent": 3.5,
"partnerPayoutPercent": 96.5,
"cliveEarningPercent": 0.6,
"cliveEarningAmount": 4.2,
"processorFee": 22.05,
"platformFee": 4.2,
"netAmount": 723.75,
"settlementStatus": "unsettled",
"createdAt": "2026-03-05T15:21:35.222Z",
"updatedAt": "2026-03-05T15:23:14.411Z"
}
]
}

Notes

  • Designed for operational visibility and reconciliation.
  • Returned objects include fee percentages and computed values after successful webhook updates.